var ab78isChanged=false;

function inicializar(formulario){
	$("#"+formulario).each(function(i, obj) {
		ab78isChanged=false;
		var dirrtyForm = $(this).dirrty({
			preventLeaving: false
		});
		dirrtyForm.on("dirty", function(){
			ab78isChanged = true;
		}).on("clean", function(){
			ab78isChanged = false;
		});
	});
}

function controlCambios() {
	return ab78isChanged;
}

function inicializaControlCambios(formulario){
	jQuery(function($) {
		if ($.active > 0){
			$(document).ajaxStop(function() {
				inicializar(formulario);
				$(this).unbind("ajaxStop");
			});
		}else{
			inicializar(formulario);
		}
	});
}

function changesValue(value){
	ab78isChanged = value;
}